Skip to main content
GET
/
v1
/
views
Get all views
curl --request GET \
  --url https://platform.thena.ai/v1/views \
  --header 'Authorization: Bearer <token>'
{
  "status": true,
  "message": "Success",
  "timestamp": "2024-01-01T00:00:00.000Z",
  "data": [
    {
      "id": "<string>",
      "teamId": "<string>",
      "viewId": 123,
      "name": "<string>",
      "description": "<string>",
      "configuration": {},
      "viewsTypeId": "<string>",
      "viewsType": "<string>",
      "owner": "<string>",
      "ownerId": "<string>",
      "isShared": true,
      "isPersonal": true,
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z"
    }
  ]
}

Authorizations

Authorization
string
header
required

Enter the bearer token

Query Parameters

teamId
string
required

The unique identifier of the team to fetch views from

Example:

"T00M677SAK"

page
number
default:1
required

The page number to fetch views from

Required range: x >= 1
Example:

1

limit
number
default:10
required

The limit number of views to fetch

Required range: 1 <= x <= 100
Example:

10

Response

Operation successful

status
boolean
default:true
required

The status of the response

message
string
default:Success
required

The message of the response

timestamp
string<date-time>
default:2024-01-01T00:00:00.000Z
required

The timestamp of the response

data
object[]
required

The views fetched